Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.farafin.snEADy.control.GaphixStuff
Class C_GraphixTools

    java.lang.Object
      de.farafin.snEADy.control.GaphixStuff.C_GraphixTools

All Implemented Interfaces:
  I_GraphixConstants

    public class C_GraphixTools

extends java.lang.Object
implements I_GraphixConstants

Author:
  larsonmars TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private static java.awt.Graphics2D` | `globalGr`

Fields inherited from interface de.farafin.snEADy.control.GaphixStuff.I_GraphixConstants
`ALLIG_LEFT, ALLIG_RIGHT, AREA_INFOARENA, AREA_INFOPLAYER, AREA_INFOREPLAY, AREA_LOADEDREPLAY, ARENAMAXSIZE, BUTT_ADDCPLAYER, BUTT_ADDHPLAYER, BUTT_ARENA, BUTT_ARENAOK, BUTT_CREDITS, BUTT_EJECTREPLAY, BUTT_LOADARENA, BUTT_LOADREPLAY, BUTT_MIN, BUTT_OPTIONS, BUTT_PLAYER, BUTT_PLOK, BUTT_QUIT, BUTT_REPLAY, BUTT_REPLAYOK, BUTT_RMPLAYER01, BUTT_RMPLAYER02, BUTT_RMPLAYER03, BUTT_RMPLAYER04, BUTT_RMPLAYER05, BUTT_RMPLAYER06, BUTT_RMPLAYER07, BUTT_RMPLAYER08, BUTT_RMPLAYER09, BUTT_RMPLAYER10, BUTT_RUN, BUTT_STOP, C_END, C_EXIT, C_EXITO, C_FLOOR, C_GOODY_E, C_GOODY_LENGTH, C_GOODY_POINTS, C_GOODY_S, C_GOODY_SPEED, C_NOTHING, C_PLAYER_E, C_PLAYER_S, C_PLAYER01, C_PLAYER02, C_PLAYER03, C_PLAYER04, C_PLAYER05, C_PLAYER06, C_PLAYER07, C_PLAYER08, C_PLAYER09, C_PLAYER10, C_PLAYERH_E, C_PLAYERH_S, C_PLAYERH01, C_PLAYERH02, C_PLAYERH03, C_PLAYERH04, C_PLAYERH05, C_PLAYERH06, C_PLAYERH07, C_PLAYERH08, C_PLAYERH09, C_PLAYERH10, C_UNKNOWN, C_WALL, C_WALL_E, C_WALL_S, C_WALLCORNER_E, C_WALLCORNER_N, C_WALLCORNER_NE_CC, C_WALLCORNER_NE_CV, C_WALLCORNER_NW_CC, C_WALLCORNER_NW_CV, C_WALLCORNER_S, C_WALLCORNER_SE_CC, C_WALLCORNER_SE_CV, C_WALLCORNER_SW_CC, C_WALLCORNER_SW_CV, C_WALLCORNER_W, COL_SCROLLBAR, COL_TEXTBGHIGHLIGHTED, COL_TEXTBGNORMAL, dir_arena, dir_pics, dir_player, dir_replay, EXITTIME, F_GREEN, F_INACTIVE, F_MARKED, F_NORMAL, F_RED, FIELDELEMSIZE, GAMETIME, humanPlayerKeyD, humanPlayerKeyL, humanPlayerKeyR, humanPlayerKeyU, M_BG, M_BUTTARENA, M_BUTTCREDITS, M_BUTTMIN, M_BUTTOPTIONS, M_BUTTPLAYER, M_BUTTQUIT, M_BUTTREPLAY, M_BUTTRMPLAYER, M_BUTTRUN, M_BUTTSTOP, M_FONTSERP8X14, M_TABCLOSE, M_TABOPEN, M_TEXTAREA, M_TGLBUTT, M_VOLATILE_END, MAXFRAMECOUNT, MONITOR, PLAYERTAB01, PLAYERTAB02, PLAYERTAB03, PLAYERTAB04, PLAYERTAB05, PLAYERTAB06, PLAYERTAB07, PLAYERTAB08, PLAYERTAB09, PLAYERTAB10, S_ARENABG, S_BUTTADD, S_BUTTEJECT, S_BUTTLOAD, S_BUTTMIN, S_BUTTOK, S_BUTTQUIT, S_OPTIONSBG, S_PLAYERBG, S_REPLAYBG, S_VSCROLL, S_VSCROLLBUTT, SCROLL_ARENA, SCROLL_PLAYER, SCROLL_REPLAY, SEL_ARENA, SEL_PLAYER, SEL_REPLAY, SKINSTUFFEND, SUDDENDTIME, TEXT_AGROW, TEXT_ASLOWD, TEXT_EXITT, TEXT_HPLAYERNAME, TEXT_IDELAY, TEXT_ILENGTH, TEXT_MAXDELAY, TEXT_MAXMEM, TEXT_MAXTIME, TEXT_MINCYCLEMS, TEXT_PLENGTH, TEXT_PPOINTS, TEXT_PSLOWD, TEXT_PSPEED, TEXT_RECORDNAME, TEXT_REPLAYMINCYCLEMS, TEXT_STEPRANGE, TEXT_SUDDENDT, TGL_AUTOGAMESPEED, TGL_CONTROLPLAYER, TGL_DEBUGMON, TGL_LOG, TGL_MEMKILL, TGL_PPMEM, TGL_PPTIME, TGL_RECORD, TGL_REVERSED, TGL_SHOWSC, TGL_STEP, TGL_TIMEKILL, UIGRAPHIX_END`

Constructor Summary
`C_GraphixTools()`

Method Summary
`protected static void` | `appendCuttedString(java.lang.StringBuffer dest, java.lang.String src, int maxLen)`
`protected static java.awt.image.VolatileImage` | `createBackBufferVI(int width, int height)`
`protected static void` | `drawBitmapString(java.lang.String str, int x, int y, int GFONT, java.awt.Graphics g, int alligm, int MODE)`
`protected static void` | `drawBufferedBitmapString(java.lang.String str, int x, int y, int GFONT, java.awt.Graphics2D g, int alligm, int MODE)`
`protected static boolean` | `drawGameImageToBackbuffer(java.awt.image.VolatileImage destVImg, int imageID, int dx1, int dy1, int dx2, int dy2, int sx1, int sy1, int sx2, int sy2)`
`protected static void` | `drawVMenuImage(int imageID, java.awt.Graphics g)`
`private static java.lang.String` | `genVerString()`
`protected static java.lang.String` | `getAvailLevelGraphix(java.lang.String path)`
`protected static int` | `getFontH()`
`protected static int` | `getFontH(int GFONT)`
`protected static int` | `getFontW()`
`protected static int` | `getFontW(int GFONT)`
`protected static void` | `getLayout(java.lang.String iniFile)`
`protected static void` | `getVImgFromImg(java.awt.image.VolatileImage destVImg, java.awt.Image srcImg)`
`protected static void` | `loadCustomLevelGraphix(java.lang.String path)`
`protected static boolean` | `loadImages()`
`protected static void` | `wantReadGameImage(int imageID)`
`protected static void` | `wantReadMenuImage(int imageID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### globalGr

    private static java.awt.Graphics2D globalGr

Constructor Detail

### C_GraphixTools

    public C_GraphixTools()

Method Detail

### loadImages

    protected static boolean loadImages()

### getLayout

    protected static final void getLayout(java.lang.String iniFile)

### appendCuttedString

    protected static final void appendCuttedString(java.lang.StringBuffer dest,
                                                   java.lang.String src,
                                                   int maxLen)

### getAvailLevelGraphix

    protected static final java.lang.String getAvailLevelGraphix(java.lang.String path)

### loadCustomLevelGraphix

    protected static final void loadCustomLevelGraphix(java.lang.String path)

### genVerString

    private static final java.lang.String genVerString()

### createBackBufferVI

    protected static final java.awt.image.VolatileImage createBackBufferVI(int width,
                                                                           int height)

### drawGameImageToBackbuffer

    protected static boolean drawGameImageToBackbuffer(java.awt.image.VolatileImage destVImg,
                                                       int imageID,
                                                       int dx1,
                                                       int dy1,
                                                       int dx2,
                                                       int dy2,
                                                       int sx1,
                                                       int sy1,
                                                       int sx2,
                                                       int sy2)

### getVImgFromImg

    protected static final void getVImgFromImg(java.awt.image.VolatileImage destVImg,
                                               java.awt.Image srcImg)

### wantReadMenuImage

    protected static final void wantReadMenuImage(int imageID)

### wantReadGameImage

    protected static final void wantReadGameImage(int imageID)

### getFontW

    protected static int getFontW()

### getFontW

    protected static int getFontW(int GFONT)

### getFontH

    protected static int getFontH()

### getFontH

    protected static int getFontH(int GFONT)

### drawBitmapString

    protected static void drawBitmapString(java.lang.String str,
                                           int x,
                                           int y,
                                           int GFONT,
                                           java.awt.Graphics g,
                                           int alligm,
                                           int MODE)

### drawBufferedBitmapString

    protected static void drawBufferedBitmapString(java.lang.String str,
                                                   int x,
                                                   int y,
                                                   int GFONT,
                                                   java.awt.Graphics2D g,
                                                   int alligm,
                                                   int MODE)

### drawVMenuImage

    protected static void drawVMenuImage(int imageID,
                                         java.awt.Graphics g)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD